/*----------------------------------------------------------------------------*/
/* Sviluppatore: Damiano Tognon 795652                                        */
/* Versione: 1.0                                                              */
/* Ultima modifica: 05/12/2005                                                */
/*----------------------------------------------------------------------------*/

/*----------------------------DESCRIZIONE-------------------------------------*/
/*                                                                            */
/* Il file di header seguente contiene le dichiarazioni delle strutture dati  */
/* utilizzate.                                                                */
/*                                                                            */
/*----------------------------------------------------------------------------*/ 

/*-------------------- DIRETTIVE PER IL PREPROCESSORE ------------------------*/

#ifndef _data_str_h
#define _data_str_h


/*------------- DEFINIZIONE DELLE STRUTTURE DATI UTILIZZATE ------------------*/

typedef unsigned char uchar; //naturali su 1 byte

typedef unsigned int uint;  //naturali su 4 byte

typedef unsigned long long ullong; // naturali su 8 byte

typedef struct matrixItem{
  uchar TTB[5];;  //rimanenti 5 byte di testo cifrato
  uchar CKey[7]; //chiave di cifratura
  struct matrixItem *next;
} matrixItem; 

typedef matrixItem** table; // hash table

enum {MB512,GB1,GB2,GB4}; // valori concessi per la dimensione della tabella

enum {FALSE,TRUE};

enum{OK, NOT_ENOUGH_MEMORY, KEY_NOT_FOUND, INPUT_ERROR}; //esito dell'esecuzione

enum {NUM,LCASE,UCASE,NUMLCASE,NUMUCASE,ALL}; //tipologie di alfabeto


/*----------------------------------------------------------------------------*/

#endif




